<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: ArteFactCheck_type Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('struct_arte_fact_check__type.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="struct_arte_fact_check__type-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">ArteFactCheck_type Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a8cd9aa23a72c119335403c2374de6e24"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_arte_fact_check__type.html#a8cd9aa23a72c119335403c2374de6e24">CompileCommands</a></td></tr>
<tr class="separator:a8cd9aa23a72c119335403c2374de6e24"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0d6e64a027b73667a7c188034f904d4a"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_arte_fact_check__type.html#a0d6e64a027b73667a7c188034f904d4a">StaticArchive</a></td></tr>
<tr class="separator:a0d6e64a027b73667a7c188034f904d4a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f844ab22bb7cf4cd1ba07fb69124a67"><td class="memItemLeft" align="right" valign="top">std::vector&lt; std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_arte_fact_check__type.html#a6f844ab22bb7cf4cd1ba07fb69124a67">SourceCodeFiles</a></td></tr>
<tr class="separator:a6f844ab22bb7cf4cd1ba07fb69124a67"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2dd44cd70c82c72cb5bffc677dd06d3"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_arte_fact_check__type.html#ab2dd44cd70c82c72cb5bffc677dd06d3">CMakeListsTxt</a></td></tr>
<tr class="separator:ab2dd44cd70c82c72cb5bffc677dd06d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab896c2b8ff16667f00350842ce628d1b"><td class="memItemLeft" align="right" valign="top">std::vector&lt; std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_arte_fact_check__type.html#ab896c2b8ff16667f00350842ce628d1b">SubDirs_vec</a></td></tr>
<tr class="separator:ab896c2b8ff16667f00350842ce628d1b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="ab2dd44cd70c82c72cb5bffc677dd06d3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab2dd44cd70c82c72cb5bffc677dd06d3">&#9670;&nbsp;</a></span>CMakeListsTxt</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string ArteFactCheck_type::CMakeListsTxt</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8cd9aa23a72c119335403c2374de6e24"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8cd9aa23a72c119335403c2374de6e24">&#9670;&nbsp;</a></span>CompileCommands</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string ArteFactCheck_type::CompileCommands</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6f844ab22bb7cf4cd1ba07fb69124a67"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6f844ab22bb7cf4cd1ba07fb69124a67">&#9670;&nbsp;</a></span>SourceCodeFiles</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;std::string&gt; ArteFactCheck_type::SourceCodeFiles</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0d6e64a027b73667a7c188034f904d4a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0d6e64a027b73667a7c188034f904d4a">&#9670;&nbsp;</a></span>StaticArchive</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string ArteFactCheck_type::StaticArchive</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab896c2b8ff16667f00350842ce628d1b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab896c2b8ff16667f00350842ce628d1b">&#9670;&nbsp;</a></span>SubDirs_vec</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;std::string&gt; ArteFactCheck_type::SubDirs_vec</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="struct_arte_fact_check__type.html">ArteFactCheck_type</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
